@import 'base/_mixins';
@import 'base/_config';



@mixin skew{
  transform: skewY(-4deg);
  border-width: 2px;
  border-radius: 3px;
}

@mixin unskew {
  transform: skewY(4deg);
}

.portfolio {
  --portfolio-primary: var(--relax);
  --portfolio-secondary: white;
  --x-offset: 16px;
  --y-offset: calc(var(--x-offset) * -0.1736);
  color: var(--grey-2);

  section {
    .section-header{
      font-weight: bold;
      text-align: center;

      @include for-tablet-up{
        margin-bottom: $s8;
      }
    }
  }

  .footer {
    border-width: 8px;
    border-radius: 3px;
    position: relative;
    background-color: var(--portfolio-primary);

    &:before {
      @include skew;
      content:'';
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0; left: 0;
      background-color: var(--portfolio-primary);
      border-width: 2px;
      border-style: solid;
      border-radius: 3px;
      border-color: var(--portfolio-primary);
      z-index: -1;
      transform-origin: left;
    }
  }
}



/* =============================================================================
Hero
============================================ */
.hero {
  display: grid;
  grid-template-columns: 1fr;
  max-width: 1200px;
  
  @include for-desktop-up{
    grid-template-columns: repeat(auto-fill, minmax(512px, 1fr));
    margin-top: $s10;
  }

  .hero__text {
    padding-right: $s4;
  }

  .hero__title {
    text-shadow: #e2e1df80 var(--x-offset) var(--y-offset);
  }

  .hero__career-titles {
    overflow: hidden;
    font-weight: bold;
    font-size: clamp(2rem, 5vw, 3.5rem);
    height: 1.5em;
    // line-height: 1.25em;
    margin-bottom: $s5;
  }

  .hero__career-title {
    font-size: clamp(2rem, 5vw, 3.5rem);
    height: 1.5em;
    line-height: 1.5em;
  }

  .hero__bio {
      max-width: $s14;
      margin-bottom: $s6;

      width: 100%;
      @include for-desktop-up{
        margin-bottom: $s9;
      }
  }

  .hero__image {
    z-index: -1;
    // position: relative;
    // justify-self: center;

    img {
      border-radius: 3px;
      width: 100%;
      max-width: 512px;
      height: auto;
    }
}

}

/* =============================================================================
Work
============================================ */
.experience {
  display: grid;
  justify-content: center;
  position: relative;
  padding: $s8 0 $s8;    
  margin-top: -50px;
  margin-bottom: $s8;

  @include for-tablet-up{
    grid-template-columns: minmax(#{$s16}, #{2 * $s16});//minmax(auto, $s16);

    padding: $s10 0 $s8;
    margin-bottom: $s10;
  }

  &:before {
    @include unskew;
    content:'';
    position: absolute;
    height: 100%;
    width: calc(100% + 2rem);
    top: 0; left: -1rem;
    background: var(--portfolio-primary);
    border-color: var(--portfolio-primary);
    border-width: 4px;
    border-style: solid;
    border-radius: 3px;
    z-index: -1;
    
  }

  .section-header {
    text-shadow: #FFFFFF80 var(--x-offset) var(--y-offset);
    margin-bottom: $s8;
  }
}

.card-grid {
  display: grid;

  @include for-tablet-up{
    // grid-template-columns: $s15 $s15;
    grid-template-columns: repeat(auto-fill, 40rem);
    grid-gap: $s4;
    justify-content: center;
  }
}

.card {
  display: grid;
  position: relative;
  margin-bottom: $s9;



  .card__header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    position: relative;
    padding: $s7 $s5;

    &:before {
      @include skew;
      content:'';
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0; left: 0;
      border-width: 2px;
      border-style: solid;
      border-radius: 3px;
      z-index: -1;
    }

    @include for-tablet-up{
      flex-wrap: nowrap;
      padding: $s8 $s7 $s7;
    }
  }
  
  .card__link {
    height: min-content;
    padding: $s4 $s4 $s2;
    background: var(--portfolio-secondary);
    border-radius: 3px;
    position: absolute;
    top: -2rem;

    @include for-tablet-up{
      margin-right: $s6;
    }
  }

  .card__logo {
    max-height: $s7;
    padding: $s2 $s1 $s1;
  }

  .card__subtitle{
    background-color: var(--portfolio-secondary);
    padding: $s5;
    border-radius: 3px;
    margin-top: $s4;
    margin-bottom: $s4;
  }

  .card__body {
    @include skew;
    display: grid;
    background-color: var(--portfolio-secondary);
  }

  .card__companies {
    place-self: center;
    display: grid;
    grid-template-columns: auto auto;
    place-items: center;
    grid-gap:$s3;
    padding: $s7 $s5;
    width: 100%;
    max-width: $s14;
  }

  .card__company{
    @include unskew;
    justify-self: stretch;

    a {
      display: flex;
      justify-content: center;
      height: 100%;
      width: 100%;
      padding: $s4;
      margin-bottom: $s4;
    }
  }

  .card__company-logo {
    max-width: $s9;
    height: auto;
    width: auto;

    @include for-tablet-up{
      max-width: $s10;
    }
  }

  .card__company-logo--wide {
    max-width: $s10;
    height: auto;
    width: auto;

    @include for-tablet-up{
      max-width: $s11;
    }
  }
  
  .card__footer {
    padding: $s8 0 $s8;

    &:before {
      @include skew;
      content:'';
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0; left: 0;
      border-width: 2px;
      border-style: solid;
      border-radius: 3px;
      z-index: -1;
    }
  }

  .card__screenshots {

    .carousel-cell {
      padding: $s4;
      width: 100%;
    }
    .carousel-cell img{
      display: block;
      border-radius: 3px;
      height: auto;
      max-height: 100%;
      width: 100%;
    }

    .dot {
      background-color: var(--portfolio-secondary);
      opacity: 0.5;
    }
  }
  
  &--redstamp {
    .card__header:before, .card__footer:before {
      background-color: #ec5447;
      border-color: #ec5447;
    }
  }

  &--iamota {
    .card__header:before, .card__footer:before {
      background-color: #333;
      border-color: #333;
    }
  }

  &--rewardstream {
    .card__header:before, .card__footer:before {
      background-color: #3881b7;
      border-color: #3881b7;
    }
  }

  &--scc {
    .card__header:before, .card__footer:before {
      background-color: hsl(248, 19%, 61%);
      border-color: hsl(248, 19%, 61%);
    }
  }
}

/* =============================================================================
Skills
============================================ */
.skills {
  display: grid;
  grid-template-columns: minmax(auto, 48rem);
  justify-content: center;
  margin-bottom: $s8;
  
  .section-header {
    color: var(--grey-2);
    text-shadow:  #e2e1df80 var(--x-offset) var(--y-offset);
  }
}

.skill-list {
  max-width: $s16;
}

.skill-list__item {
  display: flex;
  flex-direction: column;
  margin-bottom: $s5;

  &__title {
    position: relative;
    width: max-content;
    font-weight: bold;

    &:after {
      content: '';
      position: absolute;
      bottom: 50%;
      height:8px;
      background-color: var(--portfolio-primary);
      border-radius: 3px;
      width: 100%;
      transform: skewY(-4deg);
      mix-blend-mode: multiply;
    }

    h3 {
      margin: 0;
    }
  }

  p {
    font-size: 1.5rem;
    font-size: clamp(1rem, 5vw, 2rem);

  }
  
}



/*! Flickity v2.2.1
https://flickity.metafizzy.co
---------------------------------------------- */
.flickity-enabled{position:relative}.flickity-enabled:focus{outline:0}.flickity-viewport{overflow:hidden;position:relative;height:100%}.flickity-slider{position:absolute;width:100%;height:100%}.flickity-enabled.is-draggable{-webkit-tap-highlight-color:transparent;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.flickity-enabled.is-draggable .flickity-viewport{cursor:move;cursor:-webkit-grab;cursor:grab}.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down{cursor:-webkit-grabbing;cursor:grabbing}.flickity-button{position:absolute;background:hsla(0,0%,100%,.75);border:none;color:#333}.flickity-button:hover{background:#fff;cursor:pointer}.flickity-button:focus{outline:0;box-shadow:0 0 0 5px #19f}.flickity-button:active{opacity:.6}.flickity-button:disabled{opacity:.3;cursor:auto;pointer-events:none}.flickity-button-icon{fill:currentColor}.flickity-prev-next-button{top:50%;width:44px;height:44px;border-radius:50%;transform:translateY(-50%)}.flickity-prev-next-button.previous{left:10px}.flickity-prev-next-button.next{right:10px}.flickity-rtl .flickity-prev-next-button.previous{left:auto;right:10px}.flickity-rtl .flickity-prev-next-button.next{right:auto;left:10px}.flickity-prev-next-button .flickity-button-icon{position:absolute;left:20%;top:20%;width:60%;height:60%}.flickity-page-dots{position:absolute;width:100%;bottom:-25px;padding:0;margin:0;list-style:none;text-align:center;line-height:1}.flickity-rtl .flickity-page-dots{direction:rtl}.flickity-page-dots .dot{display:inline-block;width:10px;height:10px;margin:0 8px;background:#333;border-radius:50%;opacity:.25;cursor:pointer}.flickity-page-dots .dot.is-selected{opacity:1}